# pqxx::connect_lazy Class Reference
[Connection classes]

Lazy connection policy; causes connection to be deferred until first use. More...

`#include <connection.hxx>`

Inheritance diagram for pqxx::connect_lazy:

[legend]

List of all members.

## Public Member Functions
| connect_lazy (const std::string &opts)
virtual handle | do_completeconnect (handle)

## Detailed Description

Lazy connection policy; causes connection to be deferred until first use.

This is connect_direct's lazy younger brother. It does not open a connection right away; the connection is only created when it is actually used.

## Constructor & Destructor Documentation

pqxx::connect_lazy::connect_lazy | ( | const std::string & | opts | ) | `[explicit]`

## Member Function Documentation

pqxx::connectionpolicy::handle pqxx::connect_lazy::do_completeconnect | ( | handle | orig | ) | `[virtual]`

Reimplemented from pqxx::connectionpolicy.

References pqxx::connectionpolicy::normalconnect().

The documentation for this class was generated from the following files:

- connection.hxx
- connection.cxx